1

Тема: Ошибки при переходе на другие версии PHP

Здравствуйте
Возникла проблема во время перехода с версии PHP 5.3 на PHP 5.4.
Сразу посыпались ошибки, с некоторыми справился, а вот с остальными справиться никак не могу.
Подскажите, что делать, где рыть
На сегодняшний момент всплывают такие ошибки
В самом верху страницы
Strict Standards: Non-static method FirstPost_Hook_Dispatcher::topic_init() should not be called statically in /home/users/r/rzia/domains/punBB/viewtopic.php(15) : eval()'d code on line 37 Strict Standards: Non-static method FirstPost_Hook_Dispatcher::select_first_post() should not be called statically in /home/users/r/rzia/domains/punBB/viewtopic.php(144) : eval()'d code on line 9
ниже
Strict Standards: Non-static method FirstPost_Hook_Dispatcher::vt_qr_get_posts() should not be called statically in /home/users/r/rzia/domains/punBB/viewtopic.php(323) : eval()'d code on line 21 Strict Standards: Non-static method FirstPost_Hook_Dispatcher::vt_row_pre_post_ident_merge() should not be called statically in /home/users/r/rzia/domains/punBB/viewtopic.php(355) : eval()'d code on line 9
Между сообщениями
Strict Standards: Non-static method FirstPost_Hook_Dispatcher::vt_row_pre_post_ident_merge() should not be called statically in /home/users/r/rzia/domains/punBB/viewtopic.php(355) : eval()'d code on line 9
Причем последняя ошибка между сообщениями пропадает если в настройках запретить пользователям прикреплять подписи.

Поделиться

2

Re: Ошибки при переходе на другие версии PHP

rzia, (Please log in or register to see this URL).

Сайт sempai

Поделиться

3

Re: Ошибки при переходе на другие версии PHP

sempai, спасибо, нешел это расширение FirstPost и в в файле hook_dispatcher.php поменял

public function

на

public static function

Ошибки пропали

Поделиться